package com.nisum.dice;

/**
 * Dice intrface
 * It's giving some method signatures to implement to class which has implemented from Dice interface
 * int -roleDice()
 * int -updateScore(String,int)
 * void -startGame();
 */
public interface Dice {
    /**
     * roleDice() method signature to implement to implemented classes
     * @return - int
     */
    public int roleDice();
    /**
     * update() method signature to implement to implemented classes
     * @return - int
     */
    public int updateScore(String playerName,int addScore);
    /**
     * startGame() method signature to implement to implemented classes
     * @return - void
     */

    public void startGame();
}
